Qt 5.7 | Qt 3D | QML Types | MouseHandler QML Type

Qt 5.7.1 Reference Documentation

# MouseHandler QML Type

Provides mouse event notification More...

Import Statement: | import Qt3D.Input 2.0
Since: | Qt 5.5
Instantiates: | QMouseHandler

- List of all members, including inherited members

## Properties

- containsMouse : bool
- sourceDevice : MouseDevice

## Signals

- void clicked()
- void doubleClicked()
- void entered()
- void exited()
- void positionChanged()
- void pressAndHold()
- void pressed()
- void released()
- void wheel()

## Detailed Description

See also MouseDevice.

## Property Documentation

[read-only] containsMouse : bool

Holds `true` if the QMouseHandler currently contains the mouse.

sourceDevice : MouseDevice

Holds the current mouse source device of the MouseHandler instance.

## Signal Documentation

void clicked()

This signal is emitted when a mouse button is clicked

void doubleClicked()

This signal is emitted when a mouse button is double clicked

void entered()

void exited()

void positionChanged()

This signal is emitted when the mouse position changes

void pressAndHold()

This signal is emitted when a mouse button is pressed and held down

void pressed()

This signal is emitted when a mouse button is pressed

void released()

This signal is emitted when a mouse button is released

void wheel()

This signal is emitted when the mouse wheel is used